Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.util
Class PropertyChangeEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.server.util.PropertyChangeEvent

public class PropertyChangeEvent
extends java.util.EventObject

A "PropertyChange" event gets delivered whenever a bean changes a "bound" or "constrained" property. A PropertyChangeEvent object is sent as an argument to the PropertyChangeListener and VetoableChangeListener methods.

Normally PropertyChangeEvents are accompanied by the name and the old and new value of the changed property. If the new value is a builtin type (such as int or boolean) it must be wrapped as the corresponding java.lang.* Object type (such as Integer or Boolean).

Null values may be provided for the old and the new values if their true values are not known.

An event source may send a null object as the name to indicate that an arbitrary set of if its properties have changed. In this case the old and new values should also be null.

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PropertyChangeEvent(java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)`

Method Summary
`java.lang.Object` | `getNewValue()`
`java.lang.Object` | `getOldValue()`
`java.lang.String` | `getPropertyName()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyChangeEvent

    public PropertyChangeEvent(java.lang.Object source,
                               java.lang.String propertyName,
                               java.lang.Object oldValue,
                               java.lang.Object newValue)

  Parameters:
    `source` - The bean that fired the event.
    `propertyName` - The programmatic name of the property that was changed.
    `oldValue` - The old value of the property.
    `newValue` - The new value of the property.

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Returns:
    The programmatic name of the property that was changed. May be null if multiple properties have changed.

### getNewValue

    public java.lang.Object getNewValue()

  Returns:
    The new value for the property, expressed as an Object. May be null if multiple properties have changed.

### getOldValue

    public java.lang.Object getOldValue()

  Returns:
    The old value for the property, expressed as an Object. May be null if multiple properties have changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD